[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoDock

Perform the docking manoeuvre to the new dock site at the position specified by ARect

## Declaration

Source position: controls.pp line 1088

`protected procedure TControl.DoDock(`
`NewDockSite: TWinControl;`
`var ARect: TRect`
`); virtual;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.